Summary:	The GNU C Reference Manual
Summary(pl.UTF-8):	Dokumentacja GNU C
Name:		gnu-c-manual
Version:	0.2.5
Release:	1
License:	FDL v1.3+
Group:		Documentation
Source0:	http://ftp.gnu.org/gnu/gnu-c-manual/%{name}-%{version}.tar.gz
# Source0-md5:	4fb89ba63d0c80a1f2265148a75dcc17
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/gnu-c-manual/
BuildRequires:	texinfo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GNU C Reference Manual is a reference for the C programming
language, as implemented by the GNU C Compiler.

This manual is strictly a reference, not a tutorial. Its aim is to
cover every linguistic construct in GNU C, but not the library
functions. This manual would probably not make a good introductory
book for new programmers, although those who know languages other than
C should be able to learn C using it.

This version covers the C89 standard.

%description -l pl.UTF-8
GNU C Reference Manual to dokumentacja języka programowania C
zaimplementowanego w kompilatorze gcc (GNU C Compiler).

Ten podręcznik jest tylko opisem, nie ma na celu nauki. Celem jest
pokrycie wszystkich konstrukcji językowych w GNU C, ale nie funkcji
bibliotecznych. Nie będzie najprawdopodobniej najlepszą książką
wprowadzającą dla nowych programistów, choć znający inne języki niż C
powinni być w stanie nauczyć się z niego C.

Ta wersja pokrywa standard C89.

%prep
%setup -q
%patch0 -p1

%build
makeinfo gnu-c-manual.texi

%install
rm -rf $RPM_BUILD_ROOT
install -D gnu-c-manual.info $RPM_BUILD_ROOT%{_infodir}/gnu-c-manual.info

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_infodir}/gnu-c-manual.info*
%changelog
* Wed Aug 31 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnu-c-manual.git;a=log;h=master

* Tue Aug 30 2016 Jakub Bogusz <qboosh@pld-linux.org> c3d2828
- updated to 0.2.5

* Sat Sep 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 6b481c1
- updated to 0.2.4

* Sun Oct 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 5f44228
- updated to 0.2.3

* Wed Nov 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 605ad0f
- updated to 0.2.2

* Wed Jan 27 2010 sparky <sparky@pld-linux.org> a26b42a
- BR: texinfo

* Wed Jan 27 2010 Elan Ruusamäe <glen@pld-linux.org> 916cfe8
- noarch; rel 2

* Tue Jan 26 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 8f14fbb
- updated to 0.2.1

* Wed Jun 11 2008 Jakub Bogusz <qboosh@pld-linux.org> d6f8016
- new

* Wed Jun 11 2008 Jakub Bogusz <qboosh@pld-linux.org> b40c0e8
- add direntry

